#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private ninZaBidAskDisplay[] cacheninZaBidAskDisplay;

		
		public ninZaBidAskDisplay ninZaBidAskDisplay()
		{
			return ninZaBidAskDisplay(Input);
		}


		
		public ninZaBidAskDisplay ninZaBidAskDisplay(ISeries<double> input)
		{
			if (cacheninZaBidAskDisplay != null)
				for (int idx = 0; idx < cacheninZaBidAskDisplay.Length; idx++)
					if ( cacheninZaBidAskDisplay[idx].EqualsInput(input))
						return cacheninZaBidAskDisplay[idx];
			return CacheIndicator<ninZaBidAskDisplay>(new ninZaBidAskDisplay(), input, ref cacheninZaBidAskDisplay);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.ninZaBidAskDisplay ninZaBidAskDisplay()
		{
			return indicator.ninZaBidAskDisplay(Input);
		}


		
		public Indicators.ninZaBidAskDisplay ninZaBidAskDisplay(ISeries<double> input )
		{
			return indicator.ninZaBidAskDisplay(input);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.ninZaBidAskDisplay ninZaBidAskDisplay()
		{
			return indicator.ninZaBidAskDisplay(Input);
		}


		
		public Indicators.ninZaBidAskDisplay ninZaBidAskDisplay(ISeries<double> input )
		{
			return indicator.ninZaBidAskDisplay(input);
		}

	}
}

#endregion
